Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
Summary: Methods | Inherited Methods | [Expand All]
public final class

# LoadMatchesResponse

extends Object

java.lang.Object
↳ | com.google.android.gms.games.multiplayer.turnbased.LoadMatchesResponse

## Class Overview

Response object containing the data requested in a `loadMatchesByStatus(GoogleApiClient, int...)` call.

## Summary

Public Methods
void | close() Close all the buffers stored in this response.
TurnBasedMatchBuffer | getCompletedMatches() Get the completed matches returned from this request.
InvitationBuffer | getInvitations() Get the invitations returned from this request.
TurnBasedMatchBuffer | getMyTurnMatches() Get the "my turn" matches returned from this request.
TurnBasedMatchBuffer | getTheirTurnMatches() Get the "their turn" matches returned from this request.

[Expand] Inherited Methods

From class java.lang.Object

Object | clone()
boolean | equals(Object arg0)
void | finalize()
final Class<?> | getClass()
int | hashCode()
final void | notify()
final void | notifyAll()
String | toString()
final void | wait()
final void | wait(long arg0, int arg1)
final void | wait(long arg0)

## Public Methods

#### public void close ()

Close all the buffers stored in this response. Note that using one of these buffers after calling this method will result in an error.

#### public TurnBasedMatchBuffer getCompletedMatches ()

Get the completed matches returned from this request. Note that if the original request did not include `MATCH_TURN_STATUS_COMPLETE`, this method will return null.

##### Returns

- The matches returned from this request, or null if completed matches were not originally requested.

#### public InvitationBuffer getInvitations ()

Get the invitations returned from this request. Note that if the original request did not include `MATCH_TURN_STATUS_INVITED`, this method will return null.

##### Returns

- The invitations returned from this request, or null if invitations were not orignially requested.

#### public TurnBasedMatchBuffer getMyTurnMatches ()

Get the "my turn" matches returned from this request. Note that if the original request did not include `MATCH_TURN_STATUS_MY_TURN`, this method will return null.

##### Returns

- The matches returned from this request, or null if "my turn" matches were not originally requested.

#### public TurnBasedMatchBuffer getTheirTurnMatches ()

Get the "their turn" matches returned from this request. Note that if the original request did not include `MATCH_TURN_STATUS_THEIR_TURN`, this method will return null.

##### Returns

- The matches returned from this request, or null if "their turn" matches were not originally requested.